spectre spectre - 4 months ago 44
Java Question

Will programs written against "Java 8" JDK be compatible with "Java 7" JREs?

My question is if Java JDK and JREs have to be compatible to run?

I mean: will Java applications written using JDK version 8 in future work with current JRE's?

Answer

The short answer is No.

If you develop your application in JDK 8 and run it with JRE 7, you would get an UnsupportedClassVersionError.